function RES=reverse(ARG,MODE)
% function RES=reverse(ARG,MODE)
% Розвертає матрицю по рядкам чи стовпчикам в залежності від MODE
% Вхід:
%    ARG  - матриця, яку треба розвернути
%    MODE - якщо 1 - розвертати по рядкам, інакше - по стовпчикам
% Вихід:
%    RES  - розвернута матриця

RES=ARG;
% якщо другий аргумент не задано - беремо 0
if nargin<2
    MODE=0;
end
% якщо працюємо із рядками - транспонуємо аргумент
if MODE==1
    RES=RES';
end
% визначаємо розмір аргументу
[m,n]=size(RES);
for i=1:floor(n/2)
    temp=RES(:,i);
    RES(:,i)=RES(:,n-i+1);
    RES(:,n-i+1)=temp;
end
% якщо працювали із рядками - транспонуємо аргумент
if MODE==1
    RES=RES';
end
% очищуємо проміжні змінні
clear i temp
